

function onBegin()
	makeUnskippable()
	disableRetry()
	getLevel().SaveQuitDisabled = true
	while true do
    		if getFlag("SpeedrunTool_SavedSate") then
			setFlag("Downside2_AngeredMountain", true)
			if not getFlag("Downside2_AngryWindInfo") then
				wait(3)
				waitUntilOnGround ()
				player.ForceCameraUpdate = true
				disableMovement()
				say("Downside2_AngryWindInfo")
				setFlag("Downside2_AngryWindInfo", true)
				enableMovement()
				 player.ForceCameraUpdate = false
			end
		end
    		wait(5) -- only wait 1 frame
	end
end